:root{
    --primary-color: #115CFA;
    --secondary-color: #051923;
    --color--white: #fff;
}

body{
    font-family: "Inter", sans-serif;
    font-size: 16px;
    font-weight: 1.2;
    color: #444;
    overflow-x: hidden;
}

a, a:hover{
    text-decoration: none;
}

ul, ol{
    list-style: none;
}
/* ==============================
Resusable Classes
=================================*/

/* ==============================
Resusable Classes
=================================*/

/* ==============================
Buttons
=================================*/
.btn-common {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    border: 1px solid transparent;
    padding: 10px 35px 10px 35px;
    border-radius: 05px 05px 05px 05px;
    transition: all 0.3s ease-in-out;
    position: relative;
    z-index: 5;
    text-transform: uppercase;
}

.secondary-btn {
    background-color: var(--secondary-color);
    color: var(--primary-color);
}

.secondary-btn:hover {
    background-color: var(--primary-color);
    color: var(--color--white);
}

.primary-btn {
    background-color: var(--primary-color);
}

.primary-btn:hover {
    background-color: var(--secondary-color);
    color: #fff;
}

.btn-style3 svg {
    transition: all 0.4s ease-in-out;
}

.primary-btn:hover svg path {
    fill: var(--color--primary);
    animation: toRightFromLeft 0.4s linear forwards;
}

@keyframes toRightFromLeft {
    49% {
        transform: translateX(100%);
    }

    50% {
        opacity: 0;
        transform: translateX(-100%);
    }
}

/* ==============================
    Buttons End
=================================*/

/* ==============================
    Subtitle, title, plain text
=================================*/

.subtitle h4 {
    margin-left: 0;
    font-family: "Roboto", sans-serif;
    font-size: 16px;
    color: #fa360a;
    position: relative;
    padding: 0 17px;
    min-height: 33px;
    line-height: 32px;
    display: inline-block;
    letter-spacing: 1px;
    border: 2px solid #fa360a;
    border-radius: 4px;
    font-weight: 600;
    text-transform: uppercase;
    margin-bottom: 15px;
}

.title h2 {
    font-size: 36px;
    font-weight: 700;
    color: #000;
    line-height: 44px;
    position: relative;
    margin-bottom: 20px;
}

.plain_text p {
    color: #777777;
    margin-bottom: 15px;
}

/* ==============================
    Subtitle, title, plain text
=================================*/

/* ==============================
    Header
=================================*/
.main-header {
    padding: 25px 0;
}
.header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

a.logo {
    display: flex;
}

.logo img {
    width: 140px;
    /* height: 80px; */
}

.main-menu{
    width: 60%;
}

.main-menu ul{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
    width: 100%;
    margin-bottom: 0;
}

.nav-right{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 30px;
}

/* ==============================
    Header End
=================================*/

/* ==============================
    Hero Section
=================================*/
.hero-section {
    background-color: var(--primary-color);
    position: relative;
    text-align: center;
    color: var(--color--white);
    overflow: hidden;
}

.hero-content {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 150px 0 100px;
}

.hero-content h1 {
    font-size: 45px;
    font-weight: 800;
    line-height: 1.5;
}

.hero-section .button-group {
    display: flex;
    justify-content: center;
    gap: 30px;
}

.hero-section .button-group a{
    height: 60px;
    padding: 0 30px;
    display: inline-flex;
    align-items: center;
    gap: 10px;
    font-weight: 600;
    letter-spacing: 0.5px;
    border-radius: 5px;
    transition: color 0.3s ease, background 0.3s ease, box-shadow 0.3s ease, transform 0.3s ease;
}

.hero-section .button-group .btn-download{
    background-color: var(--color--white);
    color: var(--primary-color);
}

.hero-section .button-group .btn-download{
    background-color: var(--color--white);
    color: var(--primary-color);
}

.hero-section .button-group .btn-download:hover{
    transform: translateY(-10px);
}

.hero-section .button-group .btn-hero{
    color: #E2FFF9;
    background: #2786FF;
}

.hero-section .button-group .btn-hero:hover{
    background-color: var(--color--white);
    color: var(--primary-color);
    transform: translateY(-10px);
}

.hero-scene {
    position: absolute;
    z-index: 1;
    top: 120px;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    pointer-events: none;
}

.hero-scene > .container{
    position: relative;
    height: 100%;
}

.hero-scene [class*=item]:before {
    display: block;
    content: "";
    width: 100%;
}

.hero-scene .item-1 {
    width: 11.2403101%;
    top: 8.19672131%;
    left: 2.71317829%;
}

.hero-scene .item-1:before {
    padding-bottom: 100%;
}

.hero-scene .item-2 {
    width: 27.1317829%;
    top: 45.9016393%;
    right: -3.10077519%;
    z-index: 2;
}

.hero-scene .item-2:before {
    padding-bottom: 100%;
}

.hero-scene .item-3 {
    width: 42.6356589%;
    right: -0.7751938%;
    bottom: -19.6721311%;
    z-index: 1;
}

.hero-scene [class*=item] {
    position: absolute;
    transform: translateZ(0);
}

.hero-scene [class*=item] img {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.theme-screens {
    position: relative;
    z-index: 1;
    will-change: transform;
}

.theme-screens.composition-block {
    --compRatio: 43%;
    max-width: 1550px;
    margin: 0 auto;
}

.composition-block:before {
    content: "";
    width: 100%;
    display: block;
    padding-bottom: var(--compRatio);
}

.theme-screens .item-1 {
    --compItemRatio: 166.666667%;
    z-index: 4;
    top: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
    max-width: 30.9677419%;
    box-shadow: 0 8px 160px 0 rgba(22, 12, 12, 0.3);
}

.composition-block > figure:before {
    content: "";
    width: 100%;
    display: block;
    padding-bottom: var(--compItemRatio);
}

.composition-block > figure > img, .composition-block > figure span {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: inherit;
}

.theme-screens .item-2 {
    right: 17.4193548%;
}

.theme-screens .item-2, .theme-screens .item-3 {
    --compItemRatio: 168.292683%;
    z-index: 3;
    top: 16.9230769%;
    max-width: 26.4516129%;
    box-shadow: 0 7px 137px 0 rgba(22, 12, 12, 0.3);
}

.theme-screens [class*=item] {
    --compItemBorderRadius: 4px;
    transition: transform 0.3s ease-in-out;
}

.composition-block > figure {
    position: absolute;
    width: 100%;
    background: var(--compItemBackground, #fff);
    border-radius: var(--compItemBorderRadius, 6px);
}

.theme-screens .item-3 {
    left: 17.4193548%;
}

.theme-screens .item-4 {
    right: 2vw;
}

.theme-screens .item-4, .theme-screens .item-5 {
    --compItemRatio: 137.142857%;
    z-index: 2;
    top: 33.8461538%;
    max-width: 25.5806452%;
    box-shadow: 0 7px 137px 0 rgba(22, 12, 12, 0.3);
}

.theme-screens .item-5 {
    left: 2vw;
}

.theme-screens .item-6 {
    right: -8%;
}

.theme-screens .item-6, .theme-screens .item-7 {
    --compItemRatio: 137.142857%;
    z-index: 1;
    top: 52%;
    max-width: 20%;
    box-shadow: 0 7px 137px 0 rgba(22, 12, 12, 0.1);
}

.theme-screens .item-7 {
    left: -8%;
}

.theme-screens [class*=item]:hover {
    transform: translateY(-5px);
}
/* ==============================
    Hero Section End
=================================*/

/* ==============================
    Featured On
=================================*/
.featured-on {
    background: #051923;
    padding: 70px 0;
}

.featured-on h6 {
    --theme-font-size: 15px;
    --theme-letter-spacing: 0.45px;
    --theme-heading-color: #fff;
    text-align: center;
    margin-bottom: 40px;
    color: var(--theme-heading-color);
    opacity: 0.5;
}

.featured-on-logo {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    position: relative;
    margin-top: -40px;
    margin-left: -35px;
    margin-right: -35px;
}

.featured-on-logo img {
    margin: 40px 35px 0 35px;
}

/* ==============================
    Featured On End
=================================*/

/* ==============================
    Features
=================================*/

.features {
    padding:5rem 0;
	background-color: #ebedf4;
} 

.service_list .service-item{
	background: #ffffff80;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
    padding-bottom: 40%;
    position: relative;
    transition: all .3s ease;
	overflow: hidden;
}

.service_list .service-item:hover{
	background: #fff;
    box-shadow: 0 0 10px 5px #dde5eb;
}

.service_list .service-figure{
	position: absolute;
	bottom: -18px;
	padding: 0 30px;
	transition: all .3s ease;
}

.service_list .service-figure img{
    background: #e6e6e6;
    border: 4px solid #fff;
    border-radius: 8px 8px 0 0;
    box-shadow: 0 20.83px 22.92px #00000057;
    height: auto;
    max-width: 100%;
    transition: border-color .2s;
}

.service_list .service-item:hover .service-figure{
	bottom: -4px;
}
.service_list .service-content {
    text-align: center;
    padding: 50px 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
	margin-bottom: 40px;
}

.service_list .icon {
    width: 64px;
    height: 64px;
    border-radius: 50%;
    position: absolute;
    top: 62%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 0 0 4px #fff;
	transition: all .3s ease;
}

.service_list .service-item:hover .icon{
	top: 58%;
}

.service_list .service-content .service-title h3 {
    position: relative;
    margin-bottom: 12px;
    font-size: 32px;
    font-weight: 700;
}

.service_list .service-content .service-title h3 a {
    color: #000;
}

.service_list .service-content .service-title h3 a:hover{
	text-decoration: underline;
}

.service_list .service-button {
    display: flex;
    gap: 25px;
}

.service_list .service-button a {
    display: inline-block;
    position: relative;
    text-decoration: none;
    line-height: 1.3;
	color: #12b7f3;
}

.service_list .service-button a::after{
	content: "";
    height: 1px;
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 100%;
    transform: translateY(1px);
    transition: all .15s cubic-bezier(.39,.575,.565,1);
    transition-property: opacity, transform;
    width: 100%;
	background-color: #12b7f3;
}

.service_list .service-button a:hover::after{
	opacity: 1;
    transform: translateY(-3px) translateZ(0);
    transition-delay: .3s;
    transition-duration: .15s;
}

/* ==============================
    Features End
=================================*/

/* ==============================
    Categories 
=================================*/

.categories {
    padding: 5rem 0;
	background-color: #ebedf4;
} 

.categories-nav {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 16px;
	margin-top: 40px;
}

.categories-nav button{
    align-items: center;
    background-color: #fff;
    border: 2px solid #0000;
    border-radius: 4px;
    color: #333;
    cursor: pointer;
    display: flex;
    font-family: sans-serif;
    font-size: 14px;
	line-height: 1;
    justify-content: center;
    padding: 10px 5px;
    text-align: center;
    text-decoration: none;
}

.categories-tab-content{
	margin-top: 40px;
}

.category-item{
	background: #fff;
    border-color: #e6e6e6;
    border-radius: 4px;
    box-shadow: 0 0 4px #e6e6e6;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    width: 100%;
	margin-bottom: 20px;
}

.cat-img {
    display: flex;
    width: 100%;
    height: 100%;
}

.cat-img img {
    width: 100%;
    object-fit: cover;
    aspect-ratio: 16/9;
}

.cat-item-info {
    padding: 16px;
}


.cat-item-info h3{
    font-size: 14px;
	max-height: 40px;
	max-width: 100%;
	margin-bottom: 0;
}

.cat-item-info h3 a{
	cursor: pointer;
    display: inline-block;
    max-width: 100%;
    overflow: hidden;
    position: relative;
    text-decoration: none;
    text-overflow: ellipsis;
    vertical-align: bottom;
    white-space: nowrap;
    color: #4d4d4d;
}

.cat-item-inner-text {
    color: #999;
    font-size: 12px;
    max-height: 18px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    line-height: 1.5;
}

.cat-item-inner-text a{
    color: #999;
    cursor: pointer;
    display: inline-block;
    font-weight: 500;
    position: relative;
    text-decoration: none;
}

.cat-item-footer{
	display: flex;
	justify-content: space-between;
	padding-top: 12px;
}

.cat-item-footer-btns{
	display: flex;
	justify-content: space-between;
	gap: 8px;
}

.category-item .btn-cart{
	position: relative;
	display: inline-block;
	background-color: #fff;
	color: #666;
	border: 1px solid #ccc;
	border-radius: 2px;
	cursor: pointer;
	width: 40px;
	height: 40px;
	line-height: 40px;
	font-size: 14px;
	font-weight: 700;
	display: flex;
	justify-content: center;
	align-items: center;
}

.category-item .btn-preview{
	position: relative;
	background-color: #fff;
	color: #087096;
	border: 1px solid #087096;
	border-radius: 2px;
	cursor: pointer;
	height: 40px;
	line-height: 40px;
	font-size: 14px;
	font-weight: 700;
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 5px 15px;
	transition: all 0.3s ease;
}

.category-item .btn-preview:hover{
	background-color: #087096;
	color: #fff;
}
/* ==============================
    Categories End
=================================*/

/* ==============================
    Gallery
=================================*/

.gallery .gallery_single {
    position: relative;
    z-index: 1;
    margin-bottom: 20px;
    overflow: hidden;
}

.gallery .gallery_overlay {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    text-align: center;
    opacity: 0;
    visibility: hidden;
    transition: all 0.5s ease;
    z-index: 99;
}

.gallery .gallery_overlay .inner{
    transform: scale(0);
}

.gallery .gallery_overlay h3 a {
    color: #fff;
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 0;
}

.gallery .gallery_overlay .gal-cat {
    color: var(--color--primary);
    font-size: 18px;
    font-weight: 500;
    font-family: "Source Sans Pro";
    margin-bottom: 10px;
}

.gallery .btn_gallery {
    font-size: 24px;
    font-weight: 500;
    color: var(--color--primary);
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #fff;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    line-height: 1;
    margin-top: 5px;
}

/* ==============

Footer
==================== */

.main-footer {
    background-color: #f5f7f9;
    background-image: linear-gradient(0deg,#fff 0,#f5f7f9 100%);
    position: relative;
}

.jt-branding {
    display: flex;
    justify-content: space-between;
    padding: 50px 0;
    border-bottom: 1px solid rgba(7,12,26,.24);
    margin-bottom: 50px;
}

.main-footer .shadow1, .main-footer .shadow2 {
    width: 200px;
    height: 200px;
    background-color: #1f66ff;
    position: absolute;
    filter: blur(150px);
    right: 0;
    top: -100px;
    border-radius: 100px;
}

.main-footer .jt-footer-subscribe {
    background: #1f66ff;
    border-radius: 8px;
    background-image: linear-gradient(to bottom,#0064cb 0,#0077f2 100%);
    padding: 25px;
    color: var(--color--white);
}

.main-footer .jt-footer-widget-title {
    font-size: 20px;
}

.main-footer .widget_nav_menu ul {
    list-style: none;
    margin: 25px 0 0;
    padding: 0;
}

.main-footer .widget_nav_menu ul li {
    margin-bottom: 12px;
}

.main-footer .widget_nav_menu ul li a {
    color: #070707;
}

.jt-title{
    font-size: 20px;
}

.main-footer .jt-footer-subscribe form{
    position: relative;
}

.jt-mb15 {
    margin-bottom: 15px;
}

.jt-mb30 {
    margin-bottom: 30px;
}

.main-footer .jt-footer-subscribe form .subscribe-newsletter-email {
    width: 100%;
    border-radius: 4px;
    border: solid 1px #fff;
    background: 0 0;
    padding: 15px 20px;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2em;
}

input::placeholder{
    color: var(--color--white);
}

.main-footer .jt-footer-subscribe form .jt-btn-subscribe {
    border: 0;
    position: absolute;
    top: 2px;
    right: 2px;
    border-radius: 2px;
    background-color: #fff;
    color: #1f66ff;
    padding: 14px 20px;
    transition: .4s;
    width: fit-content;
    font-size: 16px;
    font-weight: 600;
    font-family: Inter, sans-serif;
    line-height: 1.2em;
    display: block;
    cursor: pointer;
}

.jt-btn-primary {
    background: #1f66ff;
}

.jt-title14 {
    font-size: 14px;
}

.jt-copyright-footer {
    display: flex;
    justify-content: space-between;
    padding: 50px 0;
    border-top: 1px solid rgba(7,12,26,.24);
    margin-top: 50px;
    align-items: center;
}

.jt-footer-social {
    display: flex;
    align-items: center;
}

.jt-footer-social span {
    font-weight: 700;
    margin-right: 25px;
    font-size: 20px;
}

.jt-footer-social ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    gap: 8px;
}

.jt-footer-social ul li {
    display: inline-block;
}

.jt-footer-social ul li a {
    transition: .4s;
    background: #1f66ff;
    display: inline-block;
    border-radius: 100px;
    padding: 10px;
    margin-left: 5px;
    width: 44px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
}